Package com.smartgwt.client.widgets.grid.events

# Class GroupByCompleteEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<GroupByCompleteHandler>
com.smartgwt.client.widgets.grid.events.GroupByCompleteEvent

public class GroupByCompleteEvent extends BrowserEvent<GroupByCompleteHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupByCompleteEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(GroupByCompleteHandler handler)`
  `static <S extends HasGroupByCompleteHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<GroupByCompleteHandler>`
  `getAssociatedType()`
  `String[]`
  `getFields()`
  ListGrid field names by which the grid is now grouped.
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `static GwtEvent.Type<GroupByCompleteHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroupByCompleteEvent

    public GroupByCompleteEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasGroupByCompleteHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<GroupByCompleteHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(GroupByCompleteHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<GroupByCompleteHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<GroupByCompleteHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<GroupByCompleteHandler>`

  - ### getFields

    public String[] getFields()
    ListGrid field names by which the grid is now grouped. If the grid is currently not grouped, this parameter will be an empty array.
    Returns:
      ListGrid field names by which the grid is now grouped. If the grid is currently not grouped, this parameter will be an empty array.